#84303 Report by node igskcicgwsgm011 covering 1386 tests from 39 modules resulted into 3 errors

Report

ObsPy Version
1.0.3
Continuous Integration
-
GitHub Pull Request
-
Report File
XML Document
Total Runtime
214.6 sec
Report Date/Time
2017-05-17 15:27:44

System / Python

Architecture
64bit
Machine
x86_64
Node
igskcicgwsgm011
Processor
i386
Python Compiler
GCC 4.2.1 Compatible Apple LLVM 6.0 (clang-600.0.57)
Python Implementation
CPython
Python Version
3.6.0
Release
16.5.0
System
Darwin
Version
Darwin Kernel Version 16.5.0: Fri Mar 3 16:52:33 PST 2017; root:xnu-3789.51.2~3/RELEASE_X86_64

Dependencies

cartopy
---
decorator
4.0.11
flake8
---
future
0.16.0
geographiclib
---
lxml.etree
3.7.2
m2crypto
---
matplotlib
1.5.3
mock
---
mpl_toolkits.basemap
---
numpy
1.11.3
osgeo.gdal
---
pep8-naming
---
pyflakes
1.5.0
pyimgur
---
pyproj
---
requests
2.12.4
scipy
0.18.1
setuptools
27.2.0
sqlalchemy
1.1.5

Modules (39)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink Not tested -
obspy.clients.earthworm Not tested -
obspy.clients.fdsn Not tested -
obspy.clients.filesystem - -
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core 2 1 2
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.datamark - -
obspy.io.gse2 - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.sac - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal 1 3
obspy.taup - -
Summary 3 3

Tracebacks (3)

Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/contrib/pyopenssl.py", line 417, in wrap_socket
cnx.do_handshake()
File "/Users/marnold/anaconda/lib/python3.6/site-packages/OpenSSL/SSL.py", line 1426, in do_handshake
self._raise_ssl_error(self._ssl, result)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/OpenSSL/SSL.py", line 1174, in _raise_ssl_error
_raise_current_error()
File "/Users/marnold/anaconda/lib/python3.6/site-packages/OpenSSL/_util.py", line 48, in exception_from_error_queue
raise exception_type(errors)
OpenSSL.SSL.Error: [('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')]
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 594, in urlopen
chunked=chunked)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 350, in _make_request
self._validate_conn(conn)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 835, in _validate_conn
conn.connect()
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connection.py", line 323, in connect
ssl_context=context)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/util/ssl_.py", line 324, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/contrib/pyopenssl.py", line 424, in wrap_socket
raise ssl.SSLError('bad handshake: %r' % e)
ssl.SSLError: ("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')],)",)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/adapters.py", line 423, in send
timeout=timeout
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 624, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: ("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')],)",)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/tests/test_stream.py", line 1761, in test_read_url_via_network
tr = read('https://examples.obspy.org/test.sac', dtype=np.int32)[0]
File "<decorator-gen-43>", line 2, in read
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/util/decorator.py", line 298, in _map_example_filename
return func(*args, **kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/stream.py", line 224, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/util/base.py", line 597, in download_to_file
r = requests.get(url, stream=True)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/api.py", line 70, in get
return request('get', url, params=params, **kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/api.py", line 56, in request
return session.request(method=method, url=url, **kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/sessions.py", line 488, in request
resp = self.send(prep, **send_kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/sessions.py", line 609, in send
r = adapter.send(request, **kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/adapters.py", line 497, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: ("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')],)",)
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/doctest.py", line 2199, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.core.stream.read
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/stream.py", line 1, in read
----------------------------------------------------------------------
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/stream.py", line 137, in obspy.core.stream.read
Failed example:
st = read("https://examples.obspy.org/loc_RJOB20050831023349.z")
Exception raised:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/contrib/pyopenssl.py", line 417, in wrap_socket
cnx.do_handshake()
File "/Users/marnold/anaconda/lib/python3.6/site-packages/OpenSSL/SSL.py", line 1426, in do_handshake
self._raise_ssl_error(self._ssl, result)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/OpenSSL/SSL.py", line 1174, in _raise_ssl_error
_raise_current_error()
File "/Users/marnold/anaconda/lib/python3.6/site-packages/OpenSSL/_util.py", line 48, in exception_from_error_queue
raise exception_type(errors)
OpenSSL.SSL.Error: [('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')]
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 594, in urlopen
chunked=chunked)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 350, in _make_request
self._validate_conn(conn)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 835, in _validate_conn
conn.connect()
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connection.py", line 323, in connect
ssl_context=context)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/util/ssl_.py", line 324, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/contrib/pyopenssl.py", line 424, in wrap_socket
raise ssl.SSLError('bad handshake: %r' % e)
ssl.SSLError: ("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')],)",)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/adapters.py", line 423, in send
timeout=timeout
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 624, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: ("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')],)",)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[10]>", line 1, in <module>
st = read("https://examples.obspy.org/loc_RJOB20050831023349.z")
File "<decorator-gen-43>", line 2, in read
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/util/decorator.py", line 298, in _map_example_filename
return func(*args, **kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/stream.py", line 224, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/util/base.py", line 597, in download_to_file
r = requests.get(url, stream=True)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/api.py", line 70, in get
return request('get', url, params=params, **kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/api.py", line 56, in request
return session.request(method=method, url=url, **kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/sessions.py", line 488, in request
resp = self.send(prep, **send_kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/sessions.py", line 609, in send
r = adapter.send(request, **kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/adapters.py", line 497, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: ("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')],)",)
----------------------------------------------------------------------
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/stream.py", line 150, in obspy.core.stream.read
Failed example:
st = read("https://examples.obspy.org/slist.ascii.bz2")
Exception raised:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/contrib/pyopenssl.py", line 417, in wrap_socket
cnx.do_handshake()
File "/Users/marnold/anaconda/lib/python3.6/site-packages/OpenSSL/SSL.py", line 1426, in do_handshake
self._raise_ssl_error(self._ssl, result)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/OpenSSL/SSL.py", line 1174, in _raise_ssl_error
_raise_current_error()
File "/Users/marnold/anaconda/lib/python3.6/site-packages/OpenSSL/_util.py", line 48, in exception_from_error_queue
raise exception_type(errors)
OpenSSL.SSL.Error: [('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')]
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 594, in urlopen
chunked=chunked)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 350, in _make_request
self._validate_conn(conn)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 835, in _validate_conn
conn.connect()
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connection.py", line 323, in connect
ssl_context=context)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/util/ssl_.py", line 324, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/contrib/pyopenssl.py", line 424, in wrap_socket
raise ssl.SSLError('bad handshake: %r' % e)
ssl.SSLError: ("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')],)",)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/adapters.py", line 423, in send
timeout=timeout
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 624, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: ("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')],)",)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[15]>", line 1, in <module>
st = read("https://examples.obspy.org/slist.ascii.bz2")
File "<decorator-gen-43>", line 2, in read
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/util/decorator.py", line 298, in _map_example_filename
return func(*args, **kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/stream.py", line 224, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/util/base.py", line 597, in download_to_file
r = requests.get(url, stream=True)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/api.py", line 70, in get
return request('get', url, params=params, **kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/api.py", line 56, in request
return session.request(method=method, url=url, **kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/sessions.py", line 488, in request
resp = self.send(prep, **send_kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/sessions.py", line 609, in send
r = adapter.send(request, **kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/adapters.py", line 497, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: ("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')],)",)
----------------------------------------------------------------------
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/stream.py", line 160, in obspy.core.stream.read
Failed example:
stringio_obj = io.BytesIO(requests.get(example_url).content)
Exception raised:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/contrib/pyopenssl.py", line 417, in wrap_socket
cnx.do_handshake()
File "/Users/marnold/anaconda/lib/python3.6/site-packages/OpenSSL/SSL.py", line 1426, in do_handshake
self._raise_ssl_error(self._ssl, result)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/OpenSSL/SSL.py", line 1174, in _raise_ssl_error
_raise_current_error()
File "/Users/marnold/anaconda/lib/python3.6/site-packages/OpenSSL/_util.py", line 48, in exception_from_error_queue
raise exception_type(errors)
OpenSSL.SSL.Error: [('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')]
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 594, in urlopen
chunked=chunked)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 350, in _make_request
self._validate_conn(conn)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 835, in _validate_conn
conn.connect()
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connection.py", line 323, in connect
ssl_context=context)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/util/ssl_.py", line 324, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/contrib/pyopenssl.py", line 424, in wrap_socket
raise ssl.SSLError('bad handshake: %r' % e)
ssl.SSLError: ("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')],)",)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/adapters.py", line 423, in send
timeout=timeout
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 624, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: ("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')],)",)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[20]>", line 1, in <module>
stringio_obj = io.BytesIO(requests.get(example_url).content)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/api.py", line 70, in get
return request('get', url, params=params, **kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/api.py", line 56, in request
return session.request(method=method, url=url, **kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/sessions.py", line 488, in request
resp = self.send(prep, **send_kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/sessions.py", line 609, in send
r = adapter.send(request, **kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/adapters.py", line 497, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: ("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')],)",)
----------------------------------------------------------------------
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/stream.py", line 161, in obspy.core.stream.read
Failed example:
st = read(stringio_obj)
Exception raised:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[21]>", line 1, in <module>
st = read(stringio_obj)
NameError: name 'stringio_obj' is not defined
----------------------------------------------------------------------
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/stream.py", line 162, in obspy.core.stream.read
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
1 Trace(s) in Stream:
.RJOB..Z | 2005-08-31T02:33:49.850000Z - ... | 200.0 Hz, 12000 samples
Got:
1 Trace(s) in Stream:
XX.TEST..BHZ | 2008-01-15T00:00:00.025000Z - 2008-01-15T00:00:15.875000Z | 40.0 Hz, 635 samples
----------------------------------------------------------------------
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/stream.py", line 170, in obspy.core.stream.read
Failed example:
st = read("https://examples.obspy.org/loc_RJOB20050831023349.z",
starttime=dt, endtime=dt+10)
Exception raised:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/contrib/pyopenssl.py", line 417, in wrap_socket
cnx.do_handshake()
File "/Users/marnold/anaconda/lib/python3.6/site-packages/OpenSSL/SSL.py", line 1426, in do_handshake
self._raise_ssl_error(self._ssl, result)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/OpenSSL/SSL.py", line 1174, in _raise_ssl_error
_raise_current_error()
File "/Users/marnold/anaconda/lib/python3.6/site-packages/OpenSSL/_util.py", line 48, in exception_from_error_queue
raise exception_type(errors)
OpenSSL.SSL.Error: [('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')]
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 594, in urlopen
chunked=chunked)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 350, in _make_request
self._validate_conn(conn)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 835, in _validate_conn
conn.connect()
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connection.py", line 323, in connect
ssl_context=context)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/util/ssl_.py", line 324, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/contrib/pyopenssl.py", line 424, in wrap_socket
raise ssl.SSLError('bad handshake: %r' % e)
ssl.SSLError: ("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')],)",)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/adapters.py", line 423, in send
timeout=timeout
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 624, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: ("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')],)",)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[25]>", line 2, in <module>
starttime=dt, endtime=dt+10)
File "<decorator-gen-43>", line 2, in read
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/util/decorator.py", line 298, in _map_example_filename
return func(*args, **kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/stream.py", line 224, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/util/base.py", line 597, in download_to_file
r = requests.get(url, stream=True)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/api.py", line 70, in get
return request('get', url, params=params, **kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/api.py", line 56, in request
return session.request(method=method, url=url, **kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/sessions.py", line 488, in request
resp = self.send(prep, **send_kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/sessions.py", line 609, in send
r = adapter.send(request, **kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/adapters.py", line 497, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: ("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')],)",)
----------------------------------------------------------------------
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/stream.py", line 172, in obspy.core.stream.read
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
1 Trace(s) in Stream:
.RJOB..Z | 2005-08-31T02:34:00.000000Z - ... | 200.0 Hz, 2001 samples
Got:
1 Trace(s) in Stream:
XX.TEST..BHZ | 2008-01-15T00:00:00.025000Z - 2008-01-15T00:00:15.875000Z | 40.0 Hz, 635 samples
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/doctest.py", line 2199, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.signal.tf_misfit.plot_tfr
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/signal/tf_misfit.py", line 1397, in plot_tfr
----------------------------------------------------------------------
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/signal/tf_misfit.py", line 1438, in obspy.signal.tf_misfit.plot_tfr
Failed example:
tr = read("https://examples.obspy.org/a02i.2008.240.mseed")[0]
Exception raised:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/contrib/pyopenssl.py", line 417, in wrap_socket
cnx.do_handshake()
File "/Users/marnold/anaconda/lib/python3.6/site-packages/OpenSSL/SSL.py", line 1426, in do_handshake
self._raise_ssl_error(self._ssl, result)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/OpenSSL/SSL.py", line 1174, in _raise_ssl_error
_raise_current_error()
File "/Users/marnold/anaconda/lib/python3.6/site-packages/OpenSSL/_util.py", line 48, in exception_from_error_queue
raise exception_type(errors)
OpenSSL.SSL.Error: [('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')]
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 594, in urlopen
chunked=chunked)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 350, in _make_request
self._validate_conn(conn)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 835, in _validate_conn
conn.connect()
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connection.py", line 323, in connect
ssl_context=context)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/util/ssl_.py", line 324, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/contrib/pyopenssl.py", line 424, in wrap_socket
raise ssl.SSLError('bad handshake: %r' % e)
ssl.SSLError: ("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')],)",)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/adapters.py", line 423, in send
timeout=timeout
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/packages/urllib3/connectionpool.py", line 624, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: ("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')],)",)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/marnold/anaconda/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.signal.tf_misfit.plot_tfr[1]>", line 1, in <module>
tr = read("https://examples.obspy.org/a02i.2008.240.mseed")[0]
File "<decorator-gen-43>", line 2, in read
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/util/decorator.py", line 298, in _map_example_filename
return func(*args, **kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/stream.py", line 224, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/obspy/core/util/base.py", line 597, in download_to_file
r = requests.get(url, stream=True)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/api.py", line 70, in get
return request('get', url, params=params, **kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/api.py", line 56, in request
return session.request(method=method, url=url, **kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/sessions.py", line 488, in request
resp = self.send(prep, **send_kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/sessions.py", line 609, in send
r = adapter.send(request, **kwargs)
File "/Users/marnold/anaconda/lib/python3.6/site-packages/requests/adapters.py", line 497, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: ("bad handshake: Error([('SSL routines', 'ssl3_get_server_certificate', 'certificate verify failed')],)",)

Skipped Tests (39)

Submodule Test Skip Message
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) No code formatting tests for release builds
core test_use_obspy_deprecation_warning (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) No code formatting tests for release builds
core test_future_imports_in_every_file (obspy.core.tests.test_code_formatting.FutureUsageTestCase) No code formatting tests for release builds
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase) basemap not installed
core test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_catch_output (obspy.core.tests.test_util_misc.UtilMiscTestCase) Does not work with Python 3 for some Windows and OSX versions
geodetics test_gps_2_dist_azimuth_with_geographiclib (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
geodetics test_issue_375 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
io.nlloc test_read_nlloc_scatter_coordinate_conversion (obspy.io.nlloc.tests.test_util.NLLOCTestCase) pyproj not installed
io.shapefile test_write_catalog_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_catalog_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_inventory_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_inventory_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.wav test_rescale_on_write (obspy.io.wav.tests.test_core.CoreTestCase) needs a recent NumPy version
taup test_p_iasp91_geo_manual (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_pierce_p_iasp91_geo (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_single_path_geo_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_path_geo (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.

Slowest Tests (20)

Runtime Test
13.758s test_kennet_ak135_ttime_tables_s_shallow (obspy.taup.tests.test_tau.TauPyModelTestCase)
13.616s test_kennet_ak135_ttime_tables_p_shallow (obspy.taup.tests.test_tau.TauPyModelTestCase)
12.387s test_kennet_ak135_ttime_tables_p_deep (obspy.taup.tests.test_tau.TauPyModelTestCase)
10.059s test_kennet_ak135_ttime_tables_s_deep (obspy.taup.tests.test_tau.TauPyModelTestCase)
7.583s test_kennet_ak135_ttime_tables_pkikp (obspy.taup.tests.test_tau.TauPyModelTestCase)
7.051s test_kennet_ak135_ttime_tables_pcp (obspy.taup.tests.test_tau.TauPyModelTestCase)
6.707s test_kennet_ak135_ttime_tables_scs (obspy.taup.tests.test_tau.TauPyModelTestCase)
6.629s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
5.002s test_kennet_ak135_ttime_tables_scp (obspy.taup.tests.test_tau.TauPyModelTestCase)
4.806s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
4.141s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
3.709s test_plot_colored_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
3.420s test_plot_azim_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
3.414s test_plot_horizontal_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
3.414s test_plot_default_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
3.381s test_plot_ref_time_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
2.820s test_data_remains_unchanged (obspy.imaging.tests.test_waveform.WaveformTestCase)
2.634s test_remove_response_plot (obspy.core.tests.test_trace.TraceTestCase)
2.241s test_many_identically_named_phases (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
2.158s test_vs_java_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase)

Chuck Norris Fact

Chuck Norris is the only human being to display the Heisenberg uncertainty principle - you can never know both exactly where and how quickly he will roundhouse-kick you in the face.